<br><br><div class="gmail_quote">On Wed, Apr 7, 2010 at 2:57 PM, Malcolm Wallace <span dir="ltr">&lt;<a href="mailto:malcolm.wallace@cs.york.ac.uk">malcolm.wallace@cs.york.ac.uk</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">
<div class="im"><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
  The platform installer is supposed to erase previous platform<br>
  editions before it installs itself.<br>
</blockquote></blockquote>
<br>
I would consider that a serious bug.<br>
</blockquote>
<br>
&quot;Lacking a feature I would consider essential&quot; /= &quot;a bug&quot; in my opinion,<br>
especially when the desirability of the feature is in question.<br>
</blockquote>
<br></div>
It is not merely that a feature is lacking.  Removing software from my machine without my knowledge or permission is just wrong.  (I was bitten by this once before, with a ghc installer for Mac.  It removed the previous working ghc, without telling me.  Then I discovered that a library I needed could not be compiled by the new version of ghc. The old ghc installer then refused to delete the new ghc and revert to the old one, because it could not imagine why anyone would want to &quot;downgrade&quot;.)<br>
</blockquote><div><br></div><div>If I understand correctly, the issue at hand is that the uninstaller step is removing previous libraries and ghc?</div><div><br></div><div>If so, then I completely agree with Malcolm here.  Having the installer only allow one version of ghc means I&#39;ll keep using the tarball provided by GHC HQ instead of the nice shiny installer for the HP.  I need to be able to test things on multiple GHC versions for the foreseeable future.</div>
<div><br></div><div>I have a workaround, but I implore you to please kindly reconsider your stance here.</div><div><br></div><div>Jason</div></div>